gl_scalebox(3)

NAME
gl_scalebox - scale a pixmap

SYNOPSIS
#include <vgagl.h> void gl_scalebox(int w1, int h1, void *sdp, int w2, int h2, void *ddp);

DESCRIPTION
Scale the bitmap of size (w1, h1) at sdp to size (w2, h2) and store it at ddp, which must be a large enough buffer. The pixel size of the current graphics context is used.

SEE ALSO
svgalib(7), vgagl(7), svgalib.conf(5), threedkit(7), testgl(1), gl_copybox(3), gl_copyboxfromcontext(3), gl_copyboxtocontext(3), gl_getbox(3), gl_putbox(3).

AUTHOR
This manual page was edited by Michael Weller <eowmob@exp-math.uni-essen.de>. The exact source of the referenced demo as well as of the original documentation is unknown. It is very likely that both are at least to some extent are due to Harm Hanemaayer <H.Hanemaayer@inter.nl.net>. Occasionally this might be wrong. I hereby asked to be excused by the original author and will happily accept any additions or corrections to this first version of the svgalib manual.